Subject: Re: [RFC] [PATCH 0/5 V2] Huge page backed user-space stacks

From: Andrew Morton <[email-masked]>
Date: Wed, 30 Jul 2008 23:14:28 -0700

On Thu, 31 Jul 2008 16:04:14 +1000 Nick Piggin <[email-masked]> wrote:

> > Do we expect that this change will be replicated in other
> > memory-intensive apps?  (I do).
> 
> Such as what? It would be nice to see some numbers with some HPC or java
> or DBMS workload using this. Not that I dispute it will help some cases,
> but 10% (or 20% for ppc) I guess is getting toward the best case, short
> of a specifically written TLB thrasher.

I didn't realise the STREAM is using vast amounts of automatic memory. 
I'd assumed that it was using sane amounts of stack, but the stack TLB
slots were getting zapped by all the heap-memory activity.  Oh well.

I guess that effect is still there, but smaller.

I agree that few real-world apps are likely to see gains of this
order.  More benchmarks, please :)